[Previous] [Next] [Contents]

## `TYP::IsBorder` -- tests whether the argument is a border of a partition

#### Call(s)

`TYP::IsBorder(expr)`

#### Parameters

`expr` | - | any expression

#### Introduction

The `TYP::IsBorder` function tests whether `expr` is a border list, 0 denoting an horizontal segment of the border, 1 a vertical one. Extremity segments shall not be included (i.e. 1 on the left top, 0 on the right bottom).

#### Example 1

    >> muEC::TYP::IsBorder( [0,1,0] );

                                       FALSE

    >> muEC::TYP::IsBorder( [0,1,0,0,1,1] );

                                       TRUE

    >> muEC::TYP::IsBorder( [a,b,a,a,b,b], alphabet=[a,b] );

                                       TRUE

#### Related Functions

`IsPart`, `IsDiagonal`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package